Documentation Index
Fetch the complete documentation index at: https://docs.geekflare.com/llms.txt
Use this file to discover all available pages before exploring further.
Geekflare Lighthouse API can accept the following parameters.
--screenEmulation
--screenEmulation.disabled
--emulatedUserAgent
--only-audits
--only-categories
--throttling-method
--extra-headers
--chrome-flags
--no-emulatedUserAgent
--blocked-url-patterns
--output
--preset
In order to use these parameters, pass them in a parameters JSON array in the request body payload.
Let’s explore some of the examples.
Run only SEO audit
{
"url": "https://example.com/",
"parameters": [
"--only-categories=seo"
]
}
Save output in HTML format
{
"url": "https://example.com/",
"parameters": [
"--output=html"
]
}
Run a single audit
{
"url": "https://example.com/",
"parameters": [
"--only-audits=image-alt"
]
}
Run Lighthouse using Proxy
{
"url": "https://example.com/",
"proxyCountry": "fr",
"parameters": [
"--only-categories=seo"
]
}
Disable Mobile Emulation and Throttling
{
"url": "https://example.com/",
"device": "desktop",
"parameters": [
"--output=html",
"--screenEmulation.disabled",
"--no-emulatedUserAgent",
"--throttling-method=provided"
]
}
You can also use multiple parameters
{
"url": "https://example.com/",
"parameters": [
"--only-categories=seo",
"--output=html"
]
}